cargo-features = ["panic-immediate-abort"]

[package]
name = "cgol"
version = "0.1.0"
authors = ["jet"]
edition = "2021"

[lib]
crate-type = ["cdylib"]

[dependencies]
wasm-bindgen = "0.2"
js-sys = "0.3"
web-sys = { version = "0.3", features = [
  "CanvasRenderingContext2d",
  "Document",
  "HtmlCanvasElement",
  "Window",
  "MouseEvent",
  "Element",
  "EventTarget",
  "Performance",
  "TouchEvent",
  "Touch",
  "TouchList",
  "ImageData",
] }
console_error_panic_hook = { version = "0.1", optional = true }

[features]
default = ["console_error_panic_hook"]

[dev-dependencies]
wasm-bindgen-test = "0.3"

[package.metadata.wasm-pack.profile.release]
wasm-opt = false

[profile.dev]
debug = "line-tables-only"

[profile.release]
opt-level = 3
lto = true
codegen-units = 1
panic = "immediate-abort"
strip = true
